<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.7" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <NonVisualComponents>
    <Container class="javax.swing.JPopupMenu" name="autoEdgePopupMenu">

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout">
        <Property name="useNullLayout" type="boolean" value="true"/>
      </Layout>
      <SubComponents>
        <MenuItem class="javax.swing.JMenuItem" name="deleteAllAutoEdgesMenuItem">
          <Properties>
            <Property name="text" type="java.lang.String" value="Delete All"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="deleteAllAutoEdgesMenuItemActionPerformed"/>
          </Events>
        </MenuItem>
      </SubComponents>
    </Container>
  </NonVisualComponents>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
    <AuxValue name="designerSize" type="java.awt.Dimension" value="-84,-19,0,5,115,114,0,18,106,97,118,97,46,97,119,116,46,68,105,109,101,110,115,105,111,110,65,-114,-39,-41,-84,95,68,20,2,0,2,73,0,6,104,101,105,103,104,116,73,0,5,119,105,100,116,104,120,112,0,0,3,-72,0,0,6,-127"/>
  </AuxValues>

  <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
  <SubComponents>
    <Container class="javax.swing.JSplitPane" name="mainSplitPane">
      <Properties>
        <Property name="dividerLocation" type="int" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="Setting.getInstance().dividerLocation3" type="code"/>
        </Property>
      </Properties>
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>
      <Constraints>
        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
          <BorderConstraints direction="Center"/>
        </Constraint>
      </Constraints>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout"/>
      <SubComponents>
        <Container class="javax.swing.JPanel" name="jPanel1">
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout$JSplitPaneConstraintsDescription">
              <JSplitPaneConstraints position="left"/>
            </Constraint>
          </Constraints>

          <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
          <SubComponents>
            <Container class="javax.swing.JSplitPane" name="leftSplitPane">
              <Properties>
                <Property name="dividerLocation" type="int" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
                  <Connection code="Setting.getInstance().dividerLocation2" type="code"/>
                </Property>
                <Property name="orientation" type="int" value="0"/>
              </Properties>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
              <Constraints>
                <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                  <BorderConstraints direction="Center"/>
                </Constraint>
              </Constraints>

              <Layout class="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout"/>
              <SubComponents>
                <Container class="javax.swing.JPanel" name="jPanel2">
                  <Constraints>
                    <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout$JSplitPaneConstraintsDescription">
                      <JSplitPaneConstraints position="bottom"/>
                    </Constraint>
                  </Constraints>

                  <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
                  <SubComponents>
                    <Container class="javax.swing.JScrollPane" name="jScrollPane5">
                      <Constraints>
                        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                          <BorderConstraints direction="Center"/>
                        </Constraint>
                      </Constraints>

                      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
                      <SubComponents>
                        <Component class="javax.swing.JTable" name="propertyTable">
                          <Properties>
                            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
                              <Connection code="propertyTableModel" type="code"/>
                            </Property>
                          </Properties>
                          <Events>
                            <EventHandler event="propertyChange" listener="java.beans.PropertyChangeListener" parameters="java.beans.PropertyChangeEvent" handler="propertyTablePropertyChange"/>
                          </Events>
                        </Component>
                      </SubComponents>
                    </Container>
                    <Container class="javax.swing.JScrollPane" name="jScrollPane6">
                      <Constraints>
                        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                          <BorderConstraints direction="South"/>
                        </Constraint>
                      </Constraints>

                      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
                      <SubComponents>
                        <Component class="hk.quantr.javalib.swing.advancedswing.highdpijlabel.HighDPIJLabel" name="highDPIJLabel1">
                          <Properties>
                            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                              <Image iconType="3" name="/hk/quantr/logic/rmit/rmit_logo.png"/>
                            </Property>
                            <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                              <Dimension value="[200, 60]"/>
                            </Property>
                          </Properties>
                          <Events>
                            <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="highDPIJLabel1MouseClicked"/>
                          </Events>
                          <AuxValues>
                            <AuxValue name="JavaCodeGenerator_InitCodePre" type="java.lang.String" value="highDPIJLabel1.padding=10;"/>
                          </AuxValues>
                        </Component>
                      </SubComponents>
                    </Container>
                  </SubComponents>
                </Container>
                <Container class="javax.swing.JTabbedPane" name="jTabbedPane1">
                  <Constraints>
                    <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout$JSplitPaneConstraintsDescription">
                      <JSplitPaneConstraints position="top"/>
                    </Constraint>
                  </Constraints>

                  <Layout class="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout"/>
                  <SubComponents>
                    <Container class="javax.swing.JScrollPane" name="jScrollPane2">
                      <Constraints>
                        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout$JTabbedPaneConstraintsDescription">
                          <JTabbedPaneConstraints tabName="Toolbox">
                            <Property name="tabTitle" type="java.lang.String" value="Toolbox"/>
                          </JTabbedPaneConstraints>
                        </Constraint>
                      </Constraints>

                      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
                      <SubComponents>
                        <Component class="javax.swing.JTree" name="toolbarTree">
                          <Properties>
                            <Property name="cellRenderer" type="javax.swing.tree.TreeCellRenderer" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
                              <Connection code="toolbarTreeCellRenderer" type="code"/>
                            </Property>
                            <Property name="rowHeight" type="int" value="22"/>
                            <Property name="scrollsOnExpand" type="boolean" value="false"/>
                            <Property name="showsRootHandles" type="boolean" value="true"/>
                          </Properties>
                          <AuxValues>
                            <AuxValue name="JavaCodeGenerator_CreateCodeCustom" type="java.lang.String" value="new javax.swing.JTree(toolbarRoot);"/>
                            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
                          </AuxValues>
                        </Component>
                      </SubComponents>
                    </Container>
                    <Container class="javax.swing.JPanel" name="jPanel8">
                      <Constraints>
                        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout$JTabbedPaneConstraintsDescription">
                          <JTabbedPaneConstraints tabName="Toolbar">
                            <Property name="tabTitle" type="java.lang.String" value="Toolbar"/>
                          </JTabbedPaneConstraints>
                        </Constraint>
                      </Constraints>

                      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
                      <SubComponents>
                        <Container class="javax.swing.JPanel" name="toolbarPanel">
                          <Constraints>
                            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                              <BorderConstraints direction="Center"/>
                            </Constraint>
                          </Constraints>

                          <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBoxLayout">
                            <Property name="axis" type="int" value="1"/>
                          </Layout>
                        </Container>
                      </SubComponents>
                    </Container>
                    <Container class="javax.swing.JPanel" name="jPanel6">
                      <Constraints>
                        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout$JTabbedPaneConstraintsDescription">
                          <JTabbedPaneConstraints tabName="Project">
                            <Property name="tabTitle" type="java.lang.String" value="Project"/>
                          </JTabbedPaneConstraints>
                        </Constraint>
                      </Constraints>

                      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
                      <SubComponents>
                        <Container class="javax.swing.JPanel" name="jPanel7">
                          <Constraints>
                            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                              <BorderConstraints direction="North"/>
                            </Constraint>
                          </Constraints>

                          <Layout class="org.netbeans.modules.form.compat2.layouts.DesignFlowLayout"/>
                          <SubComponents>
                            <Component class="javax.swing.JButton" name="addModuleButton">
                              <Properties>
                                <Property name="text" type="java.lang.String" value="+"/>
                                <Property name="toolTipText" type="java.lang.String" value="Add module"/>
                              </Properties>
                              <Events>
                                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="addModuleButtonActionPerformed"/>
                              </Events>
                            </Component>
                          </SubComponents>
                        </Container>
                        <Container class="javax.swing.JScrollPane" name="jScrollPane7">
                          <Constraints>
                            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                              <BorderConstraints direction="Center"/>
                            </Constraint>
                          </Constraints>

                          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
                          <SubComponents>
                            <Component class="javax.swing.JTree" name="projectTree">
                              <Properties>
                                <Property name="cellRenderer" type="javax.swing.tree.TreeCellRenderer" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
                                  <Connection code="projectTreeCellRenderer" type="code"/>
                                </Property>
                                <Property name="rowHeight" type="int" value="22"/>
                                <Property name="scrollsOnExpand" type="boolean" value="false"/>
                                <Property name="showsRootHandles" type="boolean" value="true"/>
                              </Properties>
                              <Events>
                                <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="projectTreeMouseClicked"/>
                              </Events>
                              <AuxValues>
                                <AuxValue name="JavaCodeGenerator_CreateCodeCustom" type="java.lang.String" value="new javax.swing.JTree(projectTreeRoot);"/>
                              </AuxValues>
                            </Component>
                          </SubComponents>
                        </Container>
                      </SubComponents>
                    </Container>
                  </SubComponents>
                </Container>
              </SubComponents>
            </Container>
          </SubComponents>
        </Container>
        <Container class="javax.swing.JSplitPane" name="jSplitPane2">
          <Properties>
            <Property name="dividerLocation" type="int" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
              <Connection code="Setting.getInstance().dividerLocation1" type="code"/>
            </Property>
            <Property name="resizeWeight" type="double" value="0.8"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout$JSplitPaneConstraintsDescription">
              <JSplitPaneConstraints position="right"/>
            </Constraint>
          </Constraints>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout"/>
          <SubComponents>
            <Container class="javax.swing.JScrollPane" name="jScrollPane3">
              <Constraints>
                <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout$JSplitPaneConstraintsDescription">
                  <JSplitPaneConstraints position="right"/>
                </Constraint>
              </Constraints>

              <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
              <SubComponents>
                <Container class="javax.swing.JPanel" name="jPanel3">

                  <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
                  <SubComponents>
                    <Container class="javax.swing.JScrollPane" name="jScrollPane4">
                      <AuxValues>
                        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
                      </AuxValues>
                      <Constraints>
                        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                          <BorderConstraints direction="Center"/>
                        </Constraint>
                      </Constraints>

                      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
                      <SubComponents>
                        <Component class="javax.swing.JTree" name="componentTree">
                          <Properties>
                            <Property name="model" type="javax.swing.tree.TreeModel" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
                              <Connection code="new ComponentTreeModel(null, new DefaultMutableTreeNode(&quot;Component&quot;))" type="code"/>
                            </Property>
                            <Property name="cellRenderer" type="javax.swing.tree.TreeCellRenderer" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
                              <Connection code="componentCellRenderer" type="code"/>
                            </Property>
                          </Properties>
                          <Events>
                            <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="componentTreeMouseClicked"/>
                          </Events>
                          <AuxValues>
                            <AuxValue name="JavaCodeGenerator_SerializeTo" type="java.lang.String" value="QuantrGraphPanel_componentTree"/>
                          </AuxValues>
                        </Component>
                      </SubComponents>
                    </Container>
                    <Container class="javax.swing.JToolBar" name="jToolBar2">
                      <Properties>
                        <Property name="rollover" type="boolean" value="true"/>
                      </Properties>
                      <Constraints>
                        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                          <BorderConstraints direction="First"/>
                        </Constraint>
                      </Constraints>

                      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBoxLayout"/>
                      <SubComponents>
                        <Component class="javax.swing.JButton" name="refreshComponentTreeButton">
                          <Properties>
                            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                              <Image iconType="3" name="/hk/quantr/logic/icon/arrow_refresh.png"/>
                            </Property>
                            <Property name="text" type="java.lang.String" value="Refresh"/>
                            <Property name="focusable" type="boolean" value="false"/>
                            <Property name="horizontalTextPosition" type="int" value="4"/>
                            <Property name="verticalTextPosition" type="int" value="3"/>
                          </Properties>
                          <Events>
                            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="refreshComponentTreeButtonActionPerformed"/>
                          </Events>
                        </Component>
                      </SubComponents>
                    </Container>
                  </SubComponents>
                </Container>
              </SubComponents>
            </Container>
            <Container class="hk.quantr.javalib.swing.advancedswing.jclosabletabbedpane.JClosableTabbedPane" name="mainTabbedPane">
              <Properties>
                <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[500, 327]"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="mainTabbedPaneMouseClicked"/>
              </Events>
              <Constraints>
                <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout$JSplitPaneConstraintsDescription">
                  <JSplitPaneConstraints position="left"/>
                </Constraint>
              </Constraints>

              <Layout class="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout"/>
              <SubComponents>
                <Container class="javax.swing.JPanel" name="vcdPanel">
                  <Constraints>
                    <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JTabbedPaneSupportLayout$JTabbedPaneConstraintsDescription">
                      <JTabbedPaneConstraints tabName="VCD">
                        <Property name="tabTitle" type="java.lang.String" value="VCD"/>
                      </JTabbedPaneConstraints>
                    </Constraint>
                  </Constraints>

                  <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
                  <SubComponents>
                    <Component class="hk.quantr.vcdcomponent.QuantrVCDComponent" name="quantrVCDComponent1">
                      <AuxValues>
                        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
                      </AuxValues>
                      <Constraints>
                        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
                          <BorderConstraints direction="Center"/>
                        </Constraint>
                      </Constraints>
                    </Component>
                  </SubComponents>
                </Container>
              </SubComponents>
            </Container>
          </SubComponents>
        </Container>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="statusPanel">
      <Constraints>
        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
          <BorderConstraints direction="South"/>
        </Constraint>
      </Constraints>

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignFlowLayout">
        <Property name="alignment" type="int" value="0"/>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="statusLabel1">
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="jPanel4">
      <Constraints>
        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
          <BorderConstraints direction="North"/>
        </Constraint>
      </Constraints>

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
      <SubComponents>
        <Container class="javax.swing.JToolBar" name="jToolBar1">
          <Properties>
            <Property name="rollover" type="boolean" value="true"/>
          </Properties>
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
              <BorderConstraints direction="Center"/>
            </Constraint>
          </Constraints>

          <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBoxLayout"/>
          <SubComponents>
            <Component class="javax.swing.JButton" name="newButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/script.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="New"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="newButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="openButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/folder.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Open"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="openButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="openQuantrButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/folder.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Open from Quantr"/>
                <Property name="toolTipText" type="java.lang.String" value=""/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="openQuantrButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="saveButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/disk.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Save"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="saveButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="saveToQuantrButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/diskQuantr.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Save to Quantr"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="saveToQuantrButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="settingButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/cog.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Setting"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="settingButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="zoomInButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/zoom_in.png"/>
                </Property>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="zoomInButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="zoomOutButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/zoom_out.png"/>
                </Property>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="zoomOutButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="zoom100Button">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/zoom.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="100%"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="zoom100ButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="clearButton">
              <Properties>
                <Property name="text" type="java.lang.String" value="Clear"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="clearButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="drawButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/paintbrush.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Draw"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="drawButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="randomButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/shape_ungroup.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Random"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="randomButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="hk.quantr.javalib.swing.advancedswing.onoffbutton.OnOffButton" name="onOffButton1">
              <Properties>
                <Property name="text" type="java.lang.String" value="onOffButton1"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="maximumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[53, 15]"/>
                </Property>
                <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[53, 26]"/>
                </Property>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="onOffButton1ActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JToggleButton" name="simulateToggleButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/control_play.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Simulate"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
                <Property name="maximumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[90, 46]"/>
                </Property>
                <Property name="minimumSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
                  <Dimension value="[64, 26]"/>
                </Property>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="simulateToggleButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="resetButton">
              <Properties>
                <Property name="text" type="java.lang.String" value="Reset"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="resetButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JToggleButton" name="wireToggleButton">
              <Properties>
                <Property name="text" type="java.lang.String" value="Wire"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="wireToggleButtonActionPerformed"/>
              </Events>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
            </Component>
            <Component class="javax.swing.JToggleButton" name="autoToggleButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/link.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Auto"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="autoToggleButtonActionPerformed"/>
              </Events>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
            </Component>
            <Component class="javax.swing.JButton" name="deleteButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/cross.png"/>
                </Property>
                <Property name="text" type="java.lang.String" value="Delete"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="4"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="deleteButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JToggleButton" name="showLevelButton">
              <Properties>
                <Property name="text" type="java.lang.String" value="Show Level"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="showLevelButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="autoPositionButton">
              <Properties>
                <Property name="text" type="java.lang.String" value="Auto Position"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="autoPositionButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="testButton">
              <Properties>
                <Property name="text" type="java.lang.String" value="Test"/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="testButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="westButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/west.png"/>
                </Property>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="westButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="northButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/north.png"/>
                </Property>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="northButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="eastButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/east.png"/>
                </Property>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="eastButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="southButton">
              <Properties>
                <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
                  <Image iconType="3" name="/hk/quantr/logic/icon/south.png"/>
                </Property>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="southButtonActionPerformed"/>
              </Events>
            </Component>
            <Component class="javax.swing.JButton" name="convertButton">
              <Properties>
                <Property name="text" type="java.lang.String" value="Convert"/>
                <Property name="toolTipText" type="java.lang.String" value=""/>
                <Property name="focusable" type="boolean" value="false"/>
                <Property name="horizontalTextPosition" type="int" value="0"/>
                <Property name="verticalTextPosition" type="int" value="3"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="convertButtonActionPerformed"/>
              </Events>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
            </Component>
          </SubComponents>
        </Container>
        <Container class="javax.swing.JPanel" name="jPanel5">
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout" value="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout$BorderConstraintsDescription">
              <BorderConstraints direction="East"/>
            </Constraint>
          </Constraints>

          <Layout class="org.netbeans.modules.form.compat2.layouts.DesignFlowLayout"/>
          <SubComponents>
            <Component class="javax.swing.JLabel" name="loginToQuantrLabel">
              <Properties>
                <Property name="text" type="java.lang.String" value="Login to Quantr"/>
              </Properties>
              <Events>
                <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="loginToQuantrLabelMouseClicked"/>
              </Events>
            </Component>
            <Component class="javax.swing.JLabel" name="myProjectLabel">
              <Events>
                <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="myProjectLabelMouseClicked"/>
              </Events>
            </Component>
          </SubComponents>
        </Container>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
